GET /api/v3/accounts/constants/roles¶
Summary¶
GET /accounts/constants/roles
Description¶
Return a list of roles that are attached to users who have an account.
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)roles(object) Type:object
Properties:
-
account_poster(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
account_poster_limited(object) Type:objectProperties:
title(string)description(string)can_invite(array)
-
user_view_only(object) Type:objectProperties:
title(string)description(string)
-
account_exec(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
account_manager(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
account_admin(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string can_remove_users(object) Type:object
Properties:
all_roles(boolean)
-
account_user(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
account_user_re_broker(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string can_remove_users(object) Type:object
Properties:
all_roles(boolean)
-
account_user_re_agent(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
account_contact(object) Type:objectProperties:
title(string)description(string)
-
account_bot(object) Type:objectProperties:
title(string)description(string)
-
account_developer(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
billing_user(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
Example Response¶
{
"success": true,
"roles": {
"account_poster": {
"title": "Account Poster",
"description": "Can post to an account's campaigns, edit their own posts, but not the posts of other account members",
"can_invite": [
"account_poster"
]
},
"account_poster_limited": {
"title": "Account Poster (Limited)",
"description": "Can post using templates, edit thir own posts, but cannot perform any other actions",
"can_invite": []
},
"user_view_only": {
"title": "View Only",
"description": "Can view creatives, campaigns and analytics, but cannot post new ads, edit campaigns or settings"
},
"account_exec": {
"title": "Operator Account Exec",
"description": "Works for an out-of-home operator, access post / edit campaigns running on their screens",
"can_invite": [
"account_user",
"account_exec",
"user_view_only"
]
},
"account_manager": {
"title": "Lucit Account Manager",
"description": "The Lucit account manager for this account. This is the Lucit employee who is assigned to this account",
"can_invite": [
"account_user",
"account_exec",
"account_manager",
"account_user_re_broker",
"account_user_re_agent",
"billing_user",
"account_poster",
"account_poster_limited",
"user_view_only"
]
},
"account_admin": {
"title": "Account Admin",
"description": "An admin of an account, can manage all aspects of this account including campaigns, billing, settings.",
"can_invite": [
"account_user",
"account_exec",
"account_admin",
"account_user_re_broker",
"account_user_re_agent",
"billing_user",
"account_poster",
"account_poster_limited",
"user_view_only"
],
"can_remove_users": {
"all_roles": true
}
},
"account_user": {
"title": "Account User",
"description": "A normal user, either owns or works for this account, can view and edit campaigns for their account, change settings, upload creatives",
"can_invite": [
"account_user",
"user_view_only"
]
},
"account_user_re_broker": {
"title": "Account Real Estate Broker",
"description": "A special real estate broker user that can be assigned child accounts as a broker",
"can_invite": [
"account_user_re_broker",
"account_exec",
"account_user",
"billing_user",
"account_user_re_agent",
"account_poster",
"account_poster_limited",
"user_view_only"
],
"can_remove_users": {
"all_roles": true
}
},
"account_user_re_agent": {
"title": "Account Real Estate Agent",
"description": "A special real estate user that belongs to an account but can only see their own listings",
"can_invite": [
"account_user_re_agent",
"billing_user",
"account_poster",
"account_poster_limited",
"user_view_only"
]
},
"account_contact": {
"title": "Account Contact",
"description": "An account contact record - Can't log in or do anything"
},
"account_bot": {
"title": "Account Bot",
"description": "An account bot - Can't log in directly to the app, only programatically"
},
"account_developer": {
"title": "Developer / Programmer",
"description": "This person is a software developer who works with scripts, API's and programming code",
"can_invite": [
"account_developer"
]
},
"billing_user": {
"title": "Account Billing User",
"description": "This user's email address will get invoices for this account",
"can_invite": [
"billing_user"
]
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/accounts/constants/roles" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts/constants/roles"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/accounts/constants/roles',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts/constants/roles'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"roles": {
"account_poster": {
"title": "Account Poster",
"description": "Can post to an account's campaigns, edit their own posts, but not the posts of other account members",
"can_invite": [
"account_poster"
]
},
"account_poster_limited": {
"title": "Account Poster (Limited)",
"description": "Can post using templates, edit thir own posts, but cannot perform any other actions",
"can_invite": []
},
"user_view_only": {
"title": "View Only",
"description": "Can view creatives, campaigns and analytics, but cannot post new ads, edit campaigns or settings"
},
"account_exec": {
"title": "Operator Account Exec",
"description": "Works for an out-of-home operator, access post / edit campaigns running on their screens",
"can_invite": [
"account_user",
"account_exec",
"user_view_only"
]
},
"account_manager": {
"title": "Lucit Account Manager",
"description": "The Lucit account manager for this account. This is the Lucit employee who is assigned to this account",
"can_invite": [
"account_user",
"account_exec",
"account_manager",
"account_user_re_broker",
"account_user_re_agent",
"billing_user",
"account_poster",
"account_poster_limited",
"user_view_only"
]
},
"account_admin": {
"title": "Account Admin",
"description": "An admin of an account, can manage all aspects of this account including campaigns, billing, settings.",
"can_invite": [
"account_user",
"account_exec",
"account_admin",
"account_user_re_broker",
"account_user_re_agent",
"billing_user",
"account_poster",
"account_poster_limited",
"user_view_only"
],
"can_remove_users": {
"all_roles": true
}
},
"account_user": {
"title": "Account User",
"description": "A normal user, either owns or works for this account, can view and edit campaigns for their account, change settings, upload creatives",
"can_invite": [
"account_user",
"user_view_only"
]
},
"account_user_re_broker": {
"title": "Account Real Estate Broker",
"description": "A special real estate broker user that can be assigned child accounts as a broker",
"can_invite": [
"account_user_re_broker",
"account_exec",
"account_user",
"billing_user",
"account_user_re_agent",
"account_poster",
"account_poster_limited",
"user_view_only"
],
"can_remove_users": {
"all_roles": true
}
},
"account_user_re_agent": {
"title": "Account Real Estate Agent",
"description": "A special real estate user that belongs to an account but can only see their own listings",
"can_invite": [
"account_user_re_agent",
"billing_user",
"account_poster",
"account_poster_limited",
"user_view_only"
]
},
"account_contact": {
"title": "Account Contact",
"description": "An account contact record - Can't log in or do anything"
},
"account_bot": {
"title": "Account Bot",
"description": "An account bot - Can't log in directly to the app, only programatically"
},
"account_developer": {
"title": "Developer / Programmer",
"description": "This person is a software developer who works with scripts, API's and programming code",
"can_invite": [
"account_developer"
]
},
"billing_user": {
"title": "Account Billing User",
"description": "This user's email address will get invoices for this account",
"can_invite": [
"billing_user"
]
}
}
}